#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA634_A31E_A31M_X31J
extern int16_t F1164_USIO_15_GetFirstQueuedUsioDataType();
extern void F1170_USIO_03_Expunge();
extern BOOLEAN F1171_USIO_19_LockDF0();
extern void F1168_USIO_18_Empty();
extern int16_t F1165_USIO_17_WaitUntilKeyboardOrMouseInput();
extern int16_t F1166_USIO_16_ExtractFirstUsioDataFromQueue();
extern void F1167_USIO_14_GetMouseStatus();
extern void F1159_Empty();
extern void F1163_USIO_07_ShowPointer();
extern void F1162_USIO_06_HidePointer();
extern void F1161_USIO_05_Empty();
extern void F1160_USIO_04_Empty();

extern USIO_FTL_LIBRARY* F1169_();

struct {
#ifdef MEDIA692_X31J
        void* Functions[18];
#endif
#ifdef MEDIA619_A31E_A31M
        void* Functions[19];
#endif
        USIO_FTL_LIBRARY Data;
} G3268_s_USIOLibrary = {
        {
#ifdef MEDIA619_A31E_A31M
          (void*)F1171_USIO_19_LockDF0,                         /* 19 -$4C */
#endif
          (void*)F1168_USIO_18_Empty,                           /* 18 -$48 */
          (void*)F1165_USIO_17_WaitUntilKeyboardOrMouseInput,   /* 17 -$44 */
          (void*)F1166_USIO_16_ExtractFirstUsioDataFromQueue,   /* 16 -$40 */
          (void*)F1164_USIO_15_GetFirstQueuedUsioDataType,      /* 15 -$3C */
#ifdef MEDIA618_A31E
          (void*)F1159_Empty,                                   /* 14 -$38 */
#endif
#ifdef MEDIA659_A31M_X31J
          (void*)F1167_USIO_14_GetMouseStatus,                  /* 14 -$38 */
#endif
          (void*)F1159_Empty,                                   /* 13 -$34 */
          (void*)F1159_Empty,                                   /* 12 -$30 */
          (void*)F1159_Empty,                                   /* 11 -$2C */
          (void*)F1159_Empty,                                   /* 10 -$28 */
          (void*)F1159_Empty,                                   /* 09 -$24 */
          (void*)F1159_Empty,                                   /* 08 -$20 */
          (void*)F1163_USIO_07_ShowPointer,                     /* 07 -$1C */
          (void*)F1162_USIO_06_HidePointer,                     /* 06 -$18 */
          (void*)F1161_USIO_05_Empty,                           /* 05 -$14 */
          (void*)F1160_USIO_04_Empty,                           /* 04 -$10 */
          (void*)F1170_USIO_03_Expunge,                         /* 03 -$0C */
          NULL,                                                 /* 02 -$08 */
          NULL                                                  /* 01 -$04 */
} };


void F1159_Empty(
)
{
        ASM_STUB_PREFIX
        ASM_STUB_SUFFIX
}

void main(P4222_l_)
long P4222_l_;
{
        G3268_s_USIOLibrary.Data.FTLLibrary.FTLNode.Name = FTL_USIO;
        G3268_s_USIOLibrary.Data.FTLLibrary.Version = 3;
        G3268_s_USIOLibrary.Data.FTLLibrary.Unused1 = 0;
        F1169_(P4222_l_, &G3268_s_USIOLibrary.Data.FTLLibrary);
}
#endif
